Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.tomcat
Class Tomcat3xContainer

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.cactus.integration.ant.container.AbstractContainer
              org.apache.cactus.integration.ant.container.AbstractJavaContainer
                  org.apache.cactus.integration.ant.container.tomcat.AbstractTomcatContainer
                      org.apache.cactus.integration.ant.container.tomcat.Tomcat3xContainer

All Implemented Interfaces:
  Container

public class Tomcat3xContainer
extends AbstractTomcatContainer

Special container support for the Apache Tomcat 3.x servlet container.

Version:
  $Id: Tomcat3xContainer.java 239003 2004-05-31 20:05:27Z vmassol $

Constructor Summary
`Tomcat3xContainer()`

Method Summary
`java.lang.String` | `getName()` Returns a displayable name of the container for logging purposes.
`void` | `setTmpDir(java.io.File theTmpDir)` Sets the temporary installation directory.
`void` | `shutDown()` Subclasses must implement this method to perform the actual task of shutting down the container.
`void` | `startUp()` Subclasses must implement this method to perform the actual task of starting up the container.

Methods inherited from class org.apache.cactus.integration.ant.container.tomcat.AbstractTomcatContainer
`addConf, getDir, getPort, getServerXml, init, setDir, setPort, setServerXml`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractJavaContainer
`setAppend, setJVMArgs, setOutput`

Methods inherited from class org.apache.cactus.integration.ant.container.AbstractContainer
`createExclude, getBaseURL, getContainerClasspath, getExcludePatterns, getProtocol, getServer, getStartUpWait, getSystemProperties, getTestContext, getToDir, isEnabled, isExcluded, setAntTaskFactory, setContainerClasspath, setDeployableFile, setIf, setLog, setProtocol, setServer, setStartUpWait, setSystemProperties, setToDir, setUnless`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tomcat3xContainer

    public Tomcat3xContainer()

Method Detail

### setTmpDir

    public final void setTmpDir(java.io.File theTmpDir)

  Sets the temporary installation directory.

  Parameters:
    `theTmpDir` - The temporary directory to set

### getName

    public final java.lang.String getName()

  Description copied from interface: `Container`
  Returns a displayable name of the container for logging purposes.

  Returns:
    The container name
  See Also:
    `Container.getName()`

### startUp

    public final void startUp()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of starting up the container.

  See Also:
    `Container.startUp()`

### shutDown

    public final void shutDown()

  Description copied from interface: `Container`
  Subclasses must implement this method to perform the actual task of shutting down the container.

  See Also:
    `Container.shutDown()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.